diff --git a/.ci/lint_wrap.sh b/.ci/lint_wrap.sh
new file mode 100755
index 0000000..b75c527
--- /dev/null
+++ b/.ci/lint_wrap.sh
@@ -0,0 +1,7 @@
+set -o pipefail
+sh .ci/lint.sh 2>&1 | tee output_tmp.txt
+echo "\`\`\`" > output.txt
+grep 'msg=' output_tmp.txt | awk -F'msg="' '{print $2}' | sed 's/"$//' | sed 's/\\"/"/g' >> output.txt
+echo $?
+echo "\`\`\`" >> output.txt
+echo "END"
\ No newline at end of file
diff --git a/.woodpecker/lint.yml b/.woodpecker/lint.yml
index b5dbd57..7089ae1 100644
--- a/.woodpecker/lint.yml
+++ b/.woodpecker/lint.yml
@@ -16,18 +16,13 @@ steps:
         event: [pull_request]
   lint:
     image: debian:stable
-    entrypoint: ["/bin/bash", "-c", "echo $CI_SCRIPT | base64 -d | /bin/bash -e"]
-    failure: ignore
     commands:
       - rm -rf output.txt
       - apt-get update
       - apt-get install -y curl
       - curl -SL https://github.com/docker/compose/releases/download/v2.20.3/docker-compose-linux-x86_64 -o /usr/local/bin/docker-compose
       - chmod +x /usr/local/bin/docker-compose
-      - set -o pipefail
-      - sh .ci/lint.sh 2>&1 | tee output_tmp.txt
-      - echo "\`\`\`" > output.txt
-      - grep 'msg=' output.txt | awk -F'msg="' '{print $2}' | sed 's/"$//' | sed 's/\\"/"/g' && echo "\`\`\`" >> output.txt
+      - bash .ci/lint_wrap.sh
   comment_2:
       image: git.gnous.eu/enpls/gitea-comment-plugin:1.1
       settings: